<html>
    <head>
        <link rel="stylesheet" type="text/css" href="{{url_for('static',filename='css/mystyle.css')}}">
        <title>Settings</title>
    </head>
    <body>
        <div class="dropdown">
            <button class="dropbtn">Menu</button>
              <div class="dropdown-content">
              <a href="./index.html">HOME</a>
                <a href="/usage_summary">Device usage summary</a>
                <a href="/settings">Settings</a>
                <a href="/logout">Logout</a>
              </div>
            </div>
            
            </div>
            
        
        <center><p>Add your applaince here by using this form.</p></center>    
        <form method="post" align='center'>
            <label for="devname">Name of the applaince:</label><br>
            <input type="text" id="devname" name="devname" class='form-control' placeholder="eg: lamp"><br>
            <label for="devname">Pin number on Arduino and GPIO:</label><br>
            <input type="text" id="pinname" name="pinname" class='form-control' placeholder="eg: 13"><br>
            <div>
                <input type="radio" id="addDev"
                 name="choice" value="add" checked  >
                <label for="Choice1"> Add</label>
                <input type="radio" id="contactChoice2" name="choice" value="remove">
               <label for="Choice2">Remove</label>
            </div>
            <button type="submit" class="bth" value="Submit">Submit</button>
         
        </form>
        <table>
            <thead align ="center">
            <tr class="table-primary-dark">
                <th scope="col">Device name</th>
            </tr>
            </thead>
            <tbody align ="center">
            {% for i in x %}
            <tr>
                <td>{{i}}</td>
            </tr>
            {% endfor %}
            </tbody>
          </table>

        <p style="color: red;">{{error}}</p>
    </body>
</html>